Cortex Docs
API ReferenceAdmin Endpoints

Admin/ Pricing Plans

Admin pricing plan management endpoints.

GET
/api/admin/pricing_plans/v1

Authorization

admin-access-token
AuthorizationBearer <token>

Admin access token. In Apidog use token value {{admin_access_token}}.

In: header

Query Parameters

status?boolean
type?"subscription"

Value in

  • "subscription"

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"
Authorization*string

Requires the admin access token generated by the admin login or refresh endpoint. Apidog value: Bearer {{admin_access_token}}.

Default"Bearer {{admin_access_token}}"

Response Body

application/json

curl -X GET "https://example.com/api/admin/pricing_plans/v1" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en" \  -H "Authorization: Bearer {{admin_access_token}}"
{  "code": "string",  "response": [    {      "code": "free",      "_id": "string",      "name": "string",      "type": "subscription",      "duration": "week",      "source": "revenuecat",      "stripeProductId": "string",      "stripePriceId": "string",      "trialDays": 0,      "capabilities": [        "trackApp"      ],      "seatLimit": 0,      "appLimit": 0,      "keywordLimit": 0,      "apiRequestLimit": 0,      "competitorLimitPerApp": 0,      "aiMonthlyCreditLimit": 0,      "storefrontLimit": 0,      "price": 0,      "currency": "string",      "isEnterprise": true,      "description": "string",      "badge": "string",      "highlighted": true,      "features": [        "string"      ],      "status": true,      "order": 0    }  ]}
POST
/api/admin/pricing_plans/v1

Authorization

admin-access-token
AuthorizationBearer <token>

Admin access token. In Apidog use token value {{admin_access_token}}.

In: header

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"
Authorization*string

Requires the admin access token generated by the admin login or refresh endpoint. Apidog value: Bearer {{admin_access_token}}.

Default"Bearer {{admin_access_token}}"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/admin/pricing_plans/v1" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en" \  -H "Authorization: Bearer {{admin_access_token}}" \  -H "Content-Type: application/json" \  -d '{    "code": "free",    "name": "string",    "type": "subscription",    "duration": "week",    "price": 0  }'
{  "code": "string",  "response": {    "code": "free",    "_id": "string",    "name": "string",    "type": "subscription",    "duration": "week",    "source": "revenuecat",    "stripeProductId": "string",    "stripePriceId": "string",    "trialDays": 0,    "capabilities": [      "trackApp"    ],    "seatLimit": 0,    "appLimit": 0,    "keywordLimit": 0,    "apiRequestLimit": 0,    "competitorLimitPerApp": 0,    "aiMonthlyCreditLimit": 0,    "storefrontLimit": 0,    "price": 0,    "currency": "string",    "isEnterprise": true,    "description": "string",    "badge": "string",    "highlighted": true,    "features": [      "string"    ],    "status": true,    "order": 0  }}